# $Revision: 1.11 $, $Date: 2009/03/22 18:04:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	MimeInfo
Summary:	File::MimeInfo - use the freedesktop mimeinfo spec
Summary(pl.UTF-8):	File::MimeInfo - używanie specyfikacji mimeinfo z freedesktop
Name:		perl-File-MimeInfo
Version:	0.15
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	41fa5a252203e1d6023ab5849fd9e0df
URL:		http://search.cpan.org/dist/File-MimeInfo/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-File-BaseDir
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	shared-mime-info
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module can be used to determine the MIME type of a file; it's a
replacement for File::MMagic trying to implement the freedesktop
specification for using the shared mime-info database. The package
comes with a script called 'mimetype' that can be used as a file(1)
work-alike.

%description -l pl.UTF-8
Ten moduł może być używany do okreslenia typu MIME danego pliku; jest
zamiennikiem File::MMagic próbującym implementować specyfikację
freedesktop do używania współdzielonej bazy danych mime-info. Ten
pakiet zawiera skrypt mimetype, który może być używany jako
odpowiednik file(1).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mimetype
%attr(755,root,root) %{_bindir}/mimeopen
%{perl_vendorlib}/File/*.pm
%dir %{perl_vendorlib}/File/MimeInfo
%{perl_vendorlib}/File/MimeInfo/*.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-MimeInfo.spec,v $
Revision 1.11  2009/03/22 18:04:05  radek
- version 0.15

Revision 1.10  2007/12/26 23:19:29  zbyniu
- up to 0.14

Revision 1.9  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.7  2006/04/07 20:46:52  agaran
- updated to 0.13 rel 0.1, builds here

Revision 1.6  2006/01/22 12:38:32  agaran
- up to 0.12 rel 0.1

Revision 1.5  2005/05/18 22:31:17  czucz
- updated to 0.11

Revision 1.4  2005/01/07 17:45:59  aredridel
- BR: perl-File-BaseDir

Revision 1.3  2004/12/01 11:33:43  radek
- standarized Source0 URL

Revision 1.2  2004/11/20 19:02:39  qboosh
- pl, standard URLs, missing dir

Revision 1.1  2004/11/20 09:03:46  aredridel
- added
